> ## Documentation Index
> Fetch the complete documentation index at: https://gproxy.leenhawk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /admin/api/credentials/{id}/quota-reset-credits



## OpenAPI

````yaml /generated/openapi.json get /admin/api/credentials/{id}/quota-reset-credits
openapi: 3.1.0
info:
  description: >-
    Forwarding, management, portal and OAuth APIs generated from Rust types.
    Input and output schemas preserve their respective Serde contracts.
    Streaming events and WebSocket messages are documented alongside HTTP
    payloads.
  title: GPROXY HTTP API
  version: 4.2.1
servers: []
security:
  - bearer: []
  - anthropicKey: []
  - googleKey: []
  - queryKey: []
paths:
  /admin/api/credentials/{id}/quota-reset-credits:
    get:
      tags:
        - Management
      summary: GET /admin/api/credentials/{id}/quota-reset-credits
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: Administrative scope selected by the caller.
          in: header
          name: x-gproxy-admin-scope
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Output_QuotaResetCreditsDto'
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Output_Envelope'
          description: Gateway error
      security:
        - consoleSession: []
        - bearer: []
        - anthropicKey: []
        - googleKey: []
components:
  schemas:
    Output_QuotaResetCreditsDto:
      properties:
        availableCount:
          format: uint64
          minimum: 0
          type:
            - integer
            - 'null'
        creditExpirationsMs:
          items:
            format: int64
            type:
              - integer
              - 'null'
          type: array
        expiresAtMs:
          format: int64
          type:
            - integer
            - 'null'
        options:
          items:
            $ref: '#/components/schemas/Output_QuotaResetOptionDto'
          type: array
      required:
        - creditExpirationsMs
        - options
        - availableCount
        - expiresAtMs
      type: object
    Output_Envelope:
      properties:
        error:
          $ref: '#/components/schemas/Output_EnvelopeBody'
      required:
        - error
      type: object
    Output_QuotaResetOptionDto:
      properties:
        availableCount:
          format: uint64
          minimum: 0
          type:
            - integer
            - 'null'
        clears:
          items:
            type: string
          type: array
        expiresAtMs:
          format: int64
          type:
            - integer
            - 'null'
        grantId:
          type:
            - string
            - 'null'
        ineligibleReason:
          type:
            - string
            - 'null'
        label:
          type:
            - string
            - 'null'
        nextAvailableAtMs:
          format: int64
          type:
            - integer
            - 'null'
        program:
          type: string
        usable:
          type: boolean
      required:
        - program
        - grantId
        - label
        - availableCount
        - expiresAtMs
        - nextAvailableAtMs
        - usable
        - ineligibleReason
        - clears
      type: object
    Output_EnvelopeBody:
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearer:
      scheme: bearer
      type: http
    anthropicKey:
      in: header
      name: x-api-key
      type: apiKey
    googleKey:
      in: header
      name: x-goog-api-key
      type: apiKey
    queryKey:
      in: query
      name: key
      type: apiKey
    consoleSession:
      in: cookie
      name: gproxy_session
      type: apiKey

````

## Related topics

- [POST /admin/api/credentials/{id}/quota-reset](https://gproxy.leenhawk.com/api-reference/management/post-adminapicredentials-quota-reset.md)
- [GET /admin/api/credentials/{id}/quota](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-quota.md)
- [GET /admin/api/credentials/{id}/quota-observations](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-quota-observations.md)
- [GET /admin/api/credentials/{id}/limits](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-limits.md)
- [GET /admin/api/credentials/{id}](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-1.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.